
<?php
$users = App\Models\User::pluck('email','id');
$crops_on_sales = App\Models\CropOnSale::all();
?>

<!-- Is Paid Field -->
<div class="form-group col-sm-6">
    <div class="form-check">
        <?php echo Form::hidden('is_paid', 0, ['class' => 'form-check-input']); ?>

        <?php echo Form::checkbox('is_paid', '1', null, ['class' => 'form-check-input']); ?>

        <?php echo Form::label('is_paid', 'Is Paid', ['class' => 'form-check-label']); ?>

    </div>
</div>


<!-- Is Accepted Field -->
<div class="form-group col-sm-6">
    <div class="form-check">
        <?php echo Form::hidden('is_accepted', 0, ['class' => 'form-check-input']); ?>

        <?php echo Form::checkbox('is_accepted', '1', null, ['class' => 'form-check-input']); ?>

        <?php echo Form::label('is_accepted', 'Is Accepted', ['class' => 'form-check-label']); ?>

    </div>
</div>


<!-- User Id Field -->
<div class="form-group col-sm-6">
    <?php echo Form::label('user_id', 'User Id:'); ?>

    <?php echo Form::select('user_id', $users, null, ['class' => 'form-control custom-select']); ?>

</div>


<div class="card">
    <div class="card-header">
        Crops On Sale
    </div>

    <div class="card-body">
        <table class="table" id="products_table">
            <thead>
                <tr>
                    <th>Crop</th>
                    <th>Buying Price</th>
                </tr>
            </thead>
            <tbody>
                <tr id="product0">
                    <td>
                        <select name="crops_on_sales[]" class="form-control">
                            <option value="">--Select a crop on sale--</option>
                            <?php $__currentLoopData = $crops_on_sales; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $crop): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($crop->id); ?>">
                                    <?php echo e($crop->crop->name); ?> sold by  Farmer: <?php echo e($crop->user->email); ?> at (UGX<?php echo e(number_format($crop->selling_price, 0)); ?>)
                                </option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </td>
                    <td>
                        <input type="number" min="1" name="buying_prices[]" class="form-control" value="1" />
                    </td>
                </tr>
                <tr id="product1"></tr>
            </tbody>
        </table>

        <div class="row">
            <div class="col-md-12">
                <button id="add_row" class="btn btn-default pull-left">+ Add Row</button>
                <button id='delete_row' class="pull-right btn btn-danger">- Delete Row</button>
            </div>
        </div>
    </div>
</div>


<script>

$(document).ready(function(){
    let row_number = 1;
    $("#add_row").click(function(e){
      e.preventDefault();
      let new_row_number = row_number - 1;
      $('#product' + row_number).html($('#product' + new_row_number).html()).find('td:first-child');
      $('#products_table').append('<tr id="product' + (row_number + 1) + '"></tr>');
      row_number++;
    });

    $("#delete_row").click(function(e){
      e.preventDefault();
      if(row_number > 1){
        $("#product" + (row_number - 1)).html('');
        row_number--;
      }
    });
  });
</script>
<?php /**PATH D:\projects\Digi-solutions\farmerapp\resources\views/crop_orders/fields.blade.php ENDPATH**/ ?>